<?
define('PROTECTOR', 1);

$headmod = 'shopscroll';//фикс. места

$textl='Лавка Свитков';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
going();
ryd();
place_okr();
place_zamok();
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');


switch($_GET[mod]){

default:

$req = mysql_query("SELECT * FROM `shopscroll` WHERE `city` = '$udata[city]' and `tip`='scroll'");
////////////////////////////
$avto=mysql_num_rows($req);

While($mag = mysql_fetch_array($req))
{
echo"<a href=\"shopscroll.php?mod=info&id=$mag[id]\">$mag[name]</a> ($mag[cena] монеты) <br/>";
echo"<form action='shopscroll.php?mod=sell&id=$mag[id]' method='post'><input type=number value=0 name=kolvo SIZE=4><input type=submit value='>'></form>";
}
echo "<a href=\"gorod.php?pl=shop_zone\">Вернуться</a><br>";
break;
case 'info':
$req = mysql_query("SELECT * FROM `shopscroll` WHERE `city` = '$udata[city]' and `id`='".mysql_real_escape_string($_GET['id'])."'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка!';
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);
switch($mag[what]){
case 'hp':
$tip='жизнь';
break;
case 'mp':
$tip='ману';
break;
}
echo"<b>$mag[name]</b><br/>
Затачивает на: $mag[give]<br/>
Описание: $mag[faq]<br/>
Цена: $mag[cena]<br/>
";echo "<a href=\"shopscroll.php\">Вернуться</a><br>";
break;

case 'sell':
if($_POST[kolvo] <= 0){
	echo'Покупаемое число свитков не должно быть меньше 1<br/>';
	echo'<a href=shopscroll.php>Назад</a>'; include($path.'files/down.php'); exit; }
else{
$req = mysql_query("SELECT * FROM `shopscroll` WHERE `city` = '$udata[city]' and `id`='".mysql_real_escape_string($_GET['id'])."'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка, такой вещи нет!';
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);

$nmoney=$udata[money]-($mag[cena]*$_POST[kolvo]);


if($udata['money']  < $mag['cena']*$_POST[kolvo]){
echo'Не хватает монет!';
include($path.'files/down.php');
exit;
}


$req1 = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `lat_name` = '$mag[lat_name]'");
$res = mysql_fetch_array($req1);
$avto1=mysql_num_rows($req1);
if($avto1==0){
mysql_query("INSERT INTO
        `res` SET
        `usr` = '$log',
        `name` = '$mag[name]',
        `lat_name` = '$mag[lat_name]',
        `tip` = '$mag[tip]',
        `what` = '$mag[what]',
        `give` = '$mag[give]',
        `kol` = '$_POST[kolvo]',
        `cena` = '$mag[cena]'");
        

}else{
$nk=$res[kol]+$_POST[kolvo];
mysql_query("UPDATE `res` SET `kol` = '$nk' WHERE `usr` = '$log' and `lat_name` = '$mag[lat_name]'");
}
mysql_query("UPDATE users SET money = '$nmoney' WHERE usr = '$log'");

echo"
Вещь $mag[name] в кол-ве $_POST[kolvo] куплена и помещена в инвентарь!<br/>
Монет потрачено: ".$mag[cena]*$_POST[kolvo]."<br/>
Монет осталось: $nmoney<br/>
";
echo " <a href=\"shopscroll.php\">Вернуться</a><br>";}

break;
}
include($path.'files/down.php');
?>